Skip to content

Health (battery, signal, status)

GET /modules/{id}/health
  • Scope readings:read
  • API key x-api-key
  • Base URL https://api.hub.akuasense.com/v1

State of the 4G GATEWAY the module is plugged into: it is the one transmitting the measurements.

Path parameters

  • id integer required

Response

200

Gateway health, or null if the module is plugged into no gateway

  • time string date-time nullable always present

    Last transmission. null: the gateway has not transmitted anything yet.

  • id integer always present

    Identifier of the gateway (the module’s currentGateway.id).

  • imei string always present
  • status string always present

    faulty: no transmission for more than 25 hours.

    Values: activefaulty
  • soc integer nullable always present

    Estimated battery charge, %, derived from its voltage. null if the voltage is unknown.

  • charging boolean always present

    ⚠️ Not yet supplied by the current gateways: reads false.

  • level integer nullable always present

    Network signal quality, in bars, from 0 to 4. null if unknown.

Errors

  • 400

    Invalid parameter

    invalid_id
  • 401

    Not authenticated

  • 403

    Insufficient scope, or resource outside your company